Subject: Re: [PATCH 1/2] elf loader support for auxvec base platform string

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 07 Jul 2008 15:48:13 +1000

On Thu, 2008-07-03 at 19:19 -0700, Roland McGrath wrote:
> Why not just use ELF_HWCAP for this?  It looks like powerpc only has 3 bits
> left there (keeping it to 32), but 3 is not 0.  If not that, why not use
> dsocaps?  That is, some magic in the vDSO, which glibc already supports on
> all machines where it uses the vDSO.  (For how it works, see the use in
> arch/x86/vdso/vdso32/note.S for CONFIG_XEN.)

Well, we use strings to represent the platforms already (ie, the actual
CPU microarchitecture). Fitting those into bits would be annoying, it
makes sense to have AT_BASE_PLATFORM to be the "base" variant of
AT_PLATFORM.

_However_ there is a bug in that this patch adds an entry without
bumping the number of entries in the cached array (ie.
AT_VECTOR_SIZE_BASE needs to be updated).

Ben.